// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "CsdkMessageBase.h"
#include "CsdkVoiceMessage.generated.h"

/**
 * 
 */
UCLASS()
class CSDKRUNTIME_API UCsdkVoiceMessage : public UCsdkMessageBase
{
	GENERATED_BODY()
public:
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Message")
	FString Url;
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Message")
	float Duration = 0.f;
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Message")
	FString Title;
};
